<?php
namespace EasyRestaurantManager\Resources;

use EasyRestaurantManager\Models\Menu;

class MenuResource {
    public static function store($menu) {
        
        return Menu::store($menu);
    }

    public static function updateMenu($data) {
        return Menu::updateMenu($data);
    }

    public static function getMenu(){
        return Menu::getMenu();
    }
    public static function getMenuById($id){
        return Menu::getMenuById($id);
    }

    public static function getMenuWithCategory() {
        return Menu::getMenuByCategory();
    }

    public static function deleteMenu($id){
        return Menu::deleteMenu($id);
    }
}